For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# Update a simulation scenario

PUT https://api.synthflow.ai/v2/simulation_scenarios/{scenario_id}
Content-Type: application/json

Update an existing simulation scenario.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/update-simulation-scenario

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulation_scenarios/{scenario_id}:
    put:
      operationId: update-simulation-scenario
      summary: Update a simulation scenario
      description: Update an existing simulation scenario.
      tags:
        - ''
      parameters:
        - name: scenario_id
          in: path
          description: Simulation scenario ID.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/update-simulation-scenario_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Update-simulation-scenarioRequestBadRequestError
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Update-simulation-scenarioRequestNotFoundError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationScenarioUpdateIn'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    SimulationScenarioUpdateIn:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
          description: Name of the simulation scenario
        description:
          type:
            - string
            - 'null'
          description: Description of the simulation scenario
      title: SimulationScenarioUpdateIn
    status:
      type: string
      description: Whether the request was successful.
      title: status
    SimulationScenarioReadOut:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the simulation scenario
        name:
          type: string
          description: Name of the simulation scenario template
        description:
          type: string
          description: >-
            Description of what the scenario template should verify when
            generating test cases
        workspace_id:
          type: string
          description: Workspace ID this simulation scenario belongs to
        created_at:
          type: string
          format: date-time
          description: When the simulation scenario was created
        updated_at:
          type: string
          format: date-time
          description: When the simulation scenario was last updated
      title: SimulationScenarioReadOut
    update-simulation-scenario_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: '#/components/schemas/SimulationScenarioReadOut'
      title: update-simulation-scenario_Response_200
    Update-simulation-scenarioRequestBadRequestError:
      type: object
      properties: {}
      title: Update-simulation-scenarioRequestBadRequestError
    Update-simulation-scenarioRequestNotFoundError:
      type: object
      properties: {}
      title: Update-simulation-scenarioRequestNotFoundError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_scenarios/9ad09ad3-9c22-441e-ae35-c05016a09786"

payload = {
    "name": "Updated customer satisfaction scenario",
    "description": "Verify agent resolves issues quickly and professionally"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_scenarios/9ad09ad3-9c22-441e-ae35-c05016a09786"

	payload := strings.NewReader("{\n  \"name\": \"Updated customer satisfaction scenario\",\n  \"description\": \"Verify agent resolves issues quickly and professionally\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_scenarios/9ad09ad3-9c22-441e-ae35-c05016a09786")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Updated customer satisfaction scenario\",\n  \"description\": \"Verify agent resolves issues quickly and professionally\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.synthflow.ai/v2/simulation_scenarios/9ad09ad3-9c22-441e-ae35-c05016a09786")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Updated customer satisfaction scenario\",\n  \"description\": \"Verify agent resolves issues quickly and professionally\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_scenarios/9ad09ad3-9c22-441e-ae35-c05016a09786");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Updated customer satisfaction scenario\",\n  \"description\": \"Verify agent resolves issues quickly and professionally\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Updated customer satisfaction scenario",
  "description": "Verify agent resolves issues quickly and professionally"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_scenarios/9ad09ad3-9c22-441e-ae35-c05016a09786")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```